| Home | Libraries | People | FAQ | More

## Struct template zero

boost::numeric::zero

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename T>
    struct zero {
      // types
      typedef zero type;
      typedef T    value_type;

      // public member functions
      operator T const &() const;

      // public data members
      static T const value;
    };

## Description

### `zero` public member functions

1.     operator T const &() const;